<?php namespace Pratik\Controllers;

use CodeIgniter\Controller;
use Pratik\Config\Okullar_Config;
use Pratik\Models\Pratik_Model;

class Okullar extends Controller
{
	public $data = array();
	public $model ;
	public $state=false ;
    function __construct()
	{
        $this->model = new Pratik_Model();
        $this->session = \Config\Services::session();
		$this->request = \Config\Services::request();
    }
	public function index()
	{	
		if($this->state === false ) $this->state =  $this->request->getPostget('state');	
		if($this->state===null) $this->state=1;
		$elements = new Okullar_Config();
		$this->data['page_title']=t_('okullar','okulsate_'.$this->state);		
		$this->data['elements'] = $elements->basic;	
		$this->data['state'] = $this->state;
		$this->data['menu'] =array('okullar','okulsate_'.$this->state);		
		return view('Admin\okullar\okullar_list', array('data'=>$this->data));
	}
	public function setup()
	{
		$elements = new Okullar_Config();
		$this->model->setupTable('okullar',$elements->basic);
		$this->data['menu']=array('okullar');
	}
	public function edit()
	{	
		$id =  $this->request->getPostget('id');
		$elements = new Okullar_Config();
		//$model->setupTable('users',$elements->basic);
		$this->data['basic'] = $this->model->getBasic('okullar', $id, $elements->basic,'',true );
		if($id==0)
		{
			$this->data['basic']['id']['val']=0;
			$this->data['basic']['ad']['val']=t_('Yeni Okul');
			
		}
		$this->data['metas'] = $this->model->getMetas($id, 'okullar', "",$elements->metas, 'tr_TR', 'meta', true, false);
		$this->data['page_title']=t_('Okullar');		
		$this->data['menu']=array('okullar','okul_edit');
		return view('Admin\okullar\okul_edit', array('data'=>$this->data));
	}


	//--------------------------------------------------------------------

}
